<template>
  <div>
    <div class="grid grid-cols-12">
      <div class="col-span-10">
        <h2 class="text-center text-lg p-5">
          سبد خرید (
          <span> 10</span>
          )
        </h2>
      </div>
      <div class="col-span-2 my-auto">
        <img src="/trash.svg" alt="" />
      </div>
    </div>

    <hr class="mx-4" />
    <div>
      <div class="bg-[#f8f6f6] p-5 m-4 rounded-3xl text-center">
        هزینه ارسال
      </div>
      <div class="mx-4">
        <div class="grid grid-cols-12">
          <div class="col-span-4">
            <div
              class="h-24 w-24 flex-shrink-0 overflow-hidden rounded-md border border-gray-200"
            >
              <img
                src="/File/Product/Tiny/132684860408446861.jpg"
                alt="Salmon orange fabric pouch with match zipper, gray zipper pull, and adjustable hip belt."
                class="h-full w-full object-cover object-center"
              />
            </div>
          </div>
          <div class="col-span-8">
            <div class="grid grid-rows-4">
              <div class="row-span-2">
                <div class="grid grid-cols-4">
                  <div class="col-span-3">
                    <p>jfnskejfnske</p>
                  </div>
                  <div class="col-span-1">
                    <img class="mx-auto" src="/trash.svg" alt="" />
                  </div>
                </div>
              </div>
              <div class="row-span-1 text-right">
                <div class="grid grid-cols-4">
                  <div class="col-span-2">
                    <img
                      src="/fi-rr-add.svg"
                      class="inline"
                      width="18"
                      height="18"
                      alt=""
                      srcset=""
                    />
                    <p class="inline mx-2">8</p>

                    <img
                      src="/fi-rr-add.svg"
                      class="inline"
                      width="18"
                      height="18"
                      alt=""
                      srcset=""
                    />
                  </div>
                  <div class="col-span-2 text-left">
                    <div><p>11.800 تومان</p></div>
                  </div>
                </div>
              </div>
              <div class="row-span-1 text-left">
                <p
                  class="inline text-sm font-medium text-gray-900 line-through"
                >
                  110000
                </p>
                <p class="inline mt-1 text-sm text-gray-500">
                  <span class="bg-red-400 px-3 py-0.5 text-white rounded-full">
                    18%
                  </span>
                </p>
              </div>
            </div>
          </div>
        </div>
        <hr class="mx-4 my-2" />
      </div>
    </div>
  </div>
</template>

<script>
import { mapState, mapGetters, mapActions, mapMutations } from 'vuex'

export default {
  data() {
    return {
      number: 1,
    }
  },
  computed: {
    UserShopCart() {
      return this.$store.getters['order/GetUserShopCart']
    },
  },

  methods: {
    ...mapActions({
      fetchProductLists: 'order/FetchFactorDtlShow',
    }),
  },
}
</script>

<style lang="scss" scoped></style>
